clear all;
N=101;
Dt=1;
t = Dt*[0:N-1]';
T = t(end)-t(1);
To2 = T/2;
To10 = T/10;
To20 = T/20;
To40 = T/40;

a1 = double( (t>=(To2-(To20+To40))) & (t<=(To2)) );
a2 = double( (t<=(To2+(To20+To40))) & (t>=(To2)) );
a = a1-a2;
b = (a);

figure(1);
clf;
subplot(3,1,1);
set(gca,'LineWidth',2);
hold on;
axis( [0, T, min(a), max(a)] );
plot( t, a, 'k-', 'LineWidth', 2 );
xlabel('t');
ylabel('a');
subplot(3,1,2);
set(gca,'LineWidth',2);
hold on;
axis( [0, T, min(b), max(b)] );
plot( t, b, 'k-', 'LineWidth', 2 );
xlabel('t');
ylabel('b');

c = conv(a,b,'same');

subplot(3,1,3);
set(gca,'LineWidth',2);
hold on;
axis( [0, T, min(c), max(c)] );
plot( t, c, 'k-', 'LineWidth', 2 );
xlabel('t');
ylabel('c');




