D=load('days_disc_precip.txt');
t=D(:,1);
d=D(:,2);
p=D(:,3);
tmax=max(t);
dmax=max(d);
pmax=max(p);

figure(1);
clf;
subplot(2,1,1);
set(gca,'LineWidth',2);
hold on;
axis([0 tmax 0 dmax]);
plot( t, d, 'k-', 'LineWidth', 2 );
xlabel('time (days)');
ylabel('discharge (cfs)');
subplot(2,1,2);
set(gca,'LineWidth',2);
hold on;
axis([0 tmax 0 pmax]);
plot( t, p, 'k-', 'LineWidth', 2 );
xlabel('time (days)');
ylabel('precipitation (in)');

tl = 430;
tr = 460;
il = find( t>=tl, 1 );
ir = find( t>=tr, 1 );
figure(2);
clf;
subplot(2,1,1);
set(gca,'LineWidth',2);
hold on;
axis([tl tr 0 dmax]);
plot( t(il:ir), d(il:ir), 'k-', 'LineWidth', 2 );
plot( t(il:ir), d(il:ir), 'ro', 'LineWidth', 2 );
xlabel('time (days)');
ylabel('discharge (cfs)');
subplot(2,1,2);
set(gca,'LineWidth',2);
hold on;
axis([tl tr 0 pmax]);
plot( t(il:ir), p(il:ir), 'k-', 'LineWidth', 2 );
plot( t(il:ir), p(il:ir), 'ro', 'LineWidth', 2 );
xlabel('time (days)');
ylabel('precipitation (in)');


