clear all;

N = 100000;
t = [1:N]';

n = random('Uniform', 0, 1, N, 1 );
d = n.^2;

[n(1:20), d(1:20)]

Nbins = 101;
bins = [0:Nbins-1]'/(Nbins-1);

hn = hist(n,bins);
hd = hist(d,bins);

figure(1);
clf;
subplot(2,1,1);
set(gca,'LineWidth',2);
hold on;
axis( [0, 1, 0, max(hn)] );
plot( bins, hn, 'k-', 'LineWidth', 2 );
xlabel('d');
ylabel('p(d)');
subplot(2,1,2);
set(gca,'LineWidth',2);
hold on;
axis( [0, 1, 0, max(hd)] );
plot( bins, hd, 'k-', 'LineWidth', 2 );
xlabel('d2');
ylabel('p(d2)');
