
V = 6.5;
Dx = 1;
N = 200;
x = Dx*[0:N-1]';
xmax = max(x);
xc = xmax/2;
Tline = x/6.5;
sx=10;
Ttrue = Tline + 0.2*exp(-((x-xc).^2)/(2*sx*sx));
sigmaT = 0.025;
Tobs = Ttrue+random('Normal',0,sigmaT,N,1);
Tmax = max(Tobs);

figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
axis([0 xmax 0 Tmax]);
plot( x, Tobs, 'k-', 'LineWidth', 2 );
xlabel('x (km)');
ylabel('Traveltime (s)');

figure(2);
clf;
set(gca,'LineWidth',2);
hold on;
axis([0 xmax -0.2 0.2]);
plot( x, Tobs-Tline, 'k-', 'LineWidth', 2 );
xlabel('x (km)');
ylabel('Traveltime - x/6.5 (s)');

