clear all;

I = imread('wall.jpg');
[N, M, P] = size(I);
Nc = floor(N/2);
Mc = floor(M/2);
w = 200;

i = Nc-w:Nc+w;


figure(1);
clf;
subplot(3,1,1)
set(gca,'LineWidth',2);
hold on;
d = double(I(i,Mc,1));
axis( [Nc-w, Nc+w, min(d), max(d) ] );
plot( i, d, 'r-', 'LineWidth', 2 );
subplot(3,1,2)
set(gca,'LineWidth',2);
hold on;
d = double(I(i,Mc,2));
axis( [Nc-w, Nc+w, min(d), max(d) ] );
plot( i, d, 'g-', 'LineWidth', 2 );
subplot(3,1,3)
set(gca,'LineWidth',2);
hold on;
d = double(I(i,Mc,3));
axis( [Nc-w, Nc+w, min(d), max(d) ] );
plot( i, d, 'b-', 'LineWidth', 2 );

bins = [0:255]';
figure(2);
clf;
subplot(3,1,1);
set(gca,'LineWidth',2);
hold on;
ds = double(I(Nc-w:Nc+w,Mc-w:Mc+w,1));
d = ds(:)';
N = length(d);
h = hist(d,bins);
axis( [0, 255, 0, 1.1*max(h) ] );
plot( bins, h, 'r-', 'LineWidth', 2 );

subplot(3,1,2);
set(gca,'LineWidth',2);
hold on;
ds = double(I(Nc-w:Nc+w,Mc-w:Mc+w,3));
d = ds(:)';
N = length(d);
h = hist(d,bins);
axis( [0, 255, 0, 1.1*max(h) ] );
plot( bins, h, 'g-', 'LineWidth', 2 );

subplot(3,1,3);
set(gca,'LineWidth',2);
hold on;
ds = double(I(Nc-w:Nc+w,Mc-w:Mc+w,3));
d = ds(:)';
N = length(d);
h = hist(d,bins);
axis( [0, 255, 0, 1.1*max(h) ] );
plot( bins, h, 'b-', 'LineWidth', 2 );



