clear all;

N=5;
x = [1:N]';

Niter=1000;
for iter=[1:Niter]
figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
axis( [1, N, -2, 2] );
if( iter == 1 )
    load('d.mat');
else
    d = random('normal',0,1,N,1);
end
plot( x, d, 'ko', 'LineWidth', 3 );
plot( x, d, 'k-', 'LineWidth', 2 );
xlabel('x');
ylabel('d');
[x0, y0] = ginput(1);
if( y0>2 )
    save('d.mat','d');
    break;
elseif( y0<(-2) )
    break;
end
end


